Bug 965678 - NameError: global name 'self_user' is not defined
NameError: global name 'self_user' is not defined
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-21 10:22 EDT by Tim Waugh
Modified: 2013-05-26 23:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-26 23:19:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-05-21 10:22:02 EDT
Description of problem:
Traceback due to typo.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Connect to server ""
2.Click 'Add' and enter root's credentials

Actual results:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py", line 629, in <lambda>
    return (lambda data: callback(*data), user_data)
  File "/usr/share/system-config-printer/asyncipp.py", line 200, in send_error
    handler (self._conn, exc)
  File "/usr/share/system-config-printer/asyncipp.py", line 357, in error_handler
    (self, self_user))
NameError: global name 'self_user' is not defined
Comment 1 Tim Waugh 2013-05-21 10:23:14 EDT
Fixed upstream in commit 4aeb8dc.
Comment 2 Fedora Update System 2013-05-22 04:33:02 EDT
system-config-printer-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-05-22 18:35:47 EDT
Package system-config-printer-1.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-26 23:19:19 EDT
system-config-printer-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.